Bullet Collision Detection & Physics Library: btGeneric6DofConstraintDoubleData2 Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btGeneric6DofConstraintDoubleData2 Struct Reference

`#include <btGeneric6DofConstraint.h>`

Collaboration diagram for btGeneric6DofConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
btVector3DoubleData | m_linearUpperLimit
btVector3DoubleData | m_linearLowerLimit
btVector3DoubleData | m_angularUpperLimit
btVector3DoubleData | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 570 of file btGeneric6DofConstraint.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

btVector3DoubleData btGeneric6DofConstraintDoubleData2::m_angularLowerLimit

Definition at line 580 of file btGeneric6DofConstraint.h.

## ◆ m_angularUpperLimit

btVector3DoubleData btGeneric6DofConstraintDoubleData2::m_angularUpperLimit

Definition at line 579 of file btGeneric6DofConstraint.h.

## ◆ m_linearLowerLimit

btVector3DoubleData btGeneric6DofConstraintDoubleData2::m_linearLowerLimit

Definition at line 577 of file btGeneric6DofConstraint.h.

## ◆ m_linearUpperLimit

btVector3DoubleData btGeneric6DofConstraintDoubleData2::m_linearUpperLimit

Definition at line 576 of file btGeneric6DofConstraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btGeneric6DofConstraintDoubleData2::m_rbAFrame

Definition at line 573 of file btGeneric6DofConstraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btGeneric6DofConstraintDoubleData2::m_rbBFrame

Definition at line 574 of file btGeneric6DofConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData btGeneric6DofConstraintDoubleData2::m_typeConstraintData

Definition at line 572 of file btGeneric6DofConstraint.h.

## ◆ m_useLinearReferenceFrameA

int btGeneric6DofConstraintDoubleData2::m_useLinearReferenceFrameA

Definition at line 582 of file btGeneric6DofConstraint.h.

## ◆ m_useOffsetForConstraintFrame

int btGeneric6DofConstraintDoubleData2::m_useOffsetForConstraintFrame

Definition at line 583 of file btGeneric6DofConstraint.h.

The documentation for this struct was generated from the following file:

- btGeneric6DofConstraint.h